Direzione
2 min
Get Industries
Get industries list for customers registration
GET
https://api.fsflt.net/customerarea/directory/industries
Header Parameters
- X-API-KEYstringrequiredDescription
Body Parameters
- langstringDescription
shell
curl -X 'GET' \
'https://api.fsflt.net/customerarea/directory/industries' \
-H 'accept: application/json' \
-H "Content-Type: application/json" \
-H "X-API-KEY: YOUR_API_KEY" \
-d '{YOUR_PARAM}'200
{
"code": 200,
"content": [
{
"industry_code": 9,
"industry_name": "Reseller"
},
{
"industry_code": 1,
"industry_name": "Company"
},
]
}401
{
"message": "Invalid token or Unauthorized admin"
}500
{
"code": 500,
"message": "The given data was invalid.",
"errors": {
"lang": [
"The lang must be one of the following types: EN, IT, ES, DE"
]
}
}
Get Countries
Get countries list for customers registration
GET
https://api.fsflt.net/customerarea/directory/countries
Header Parameters
- X-API-KEYstringrequiredDescription
shell
curl -X 'GET' \
'https://api.fsflt.net/customerarea/directory/countries' \
-H 'accept: application/json' \
-H "Content-Type: application/json" \
-H "X-API-KEY: YOUR_API_KEY" 200
{
"code": 200,
"content": [
{
"country_code": "AD",
"country_name": "Andorra"
},
{
"country_code": "AE",
"country_name": "United Arab Emirates"
},
]
}401
{
"message": "Invalid token or Unauthorized admin"
}500
{
"code": 500,
"message": "Error message.",
"errors": { }
}Get Currencies
Get currencies list for license amount
GET
https://api.fsflt.net/customerarea/directory/currencies
Header Parameters
- X-API-KEYstringrequiredDescription
shell
curl -X 'GET' \
'https://api.fsflt.net/customerarea/directory/currencies' \
-H 'accept: application/json' \
-H "Content-Type: application/json" \
-H "X-API-KEY: YOUR_API_KEY" 200
{
"code": 200,
"content": [
{
"currency_code": "EUR",
"currency_name": "Euro"
},
{
"currency_code": "USD",
"currency_name": "U.S. Dollar"
},
]
}401
{
"message": "Invalid token or Unauthorized admin"
}500
{
"code": 500,
"message": "Error message.",
"errors": { }
}